%-------------------------------------------------------------------------%
% get_spectral_data_from_specchio(query)
%
%   Returns a data structure holding spectral vectors and a wavelength 
%   vector based on the supplied query.
%   The database connection is established automatically, based on the 
%   last call to DatabaseConnection.set_connection_parameters.
%
%   Note that only the data of the first space is returned!
%   
%
%   ahueni, 25.03.2011
%-------------------------------------------------------------------------%



function spectral_data=get_spectral_data_from_specchio(query)

    import specchio.*

    qbb=QueryBuilderBaseClass();

    qbb.setSelect_query(query);

    ids = qbb.get_spectrum_ids();

    sf = SpaceFactory.getInstance();

    spaces=sf. create_spaces(ids);

    spaces_li = spaces.listIterator();

    space = spaces_li.next();

    space.load_data();


    spectral_data.vectors = space.get_array();
    spectral_data.wvl = space.get_wvls();


end